PgsqlSqlUtil::PgsqlDatabase Class Reference

provides the PostgreSQL-specific implementation of the AbstractDatabase interface More...

Inheritance diagram for PgsqlSqlUtil::PgsqlDatabase:
[legend]

## Public Member Functions

private | computeStatisticsImpl (*hash options)
| compute statistics implementation. See SqlUtil::AbstractDatabase::computeStatistics()
private string | getCreateSqlImpl (list l)
| returns a string that can be used to create the schema in the database
private softint | getCurrentSequenceValueImpl (string name)
| returns the last value issued for the given sequence in the current session
private softint | getNextSequenceValueImpl (string name)
| returns the next value in the given sequence
private hash | getReclaimSpaceOptions ()
| returns driver-specific options to the base abstract class
private hash | getSchemaDescriptionOptions ()
| returns driver-specific options to the base abstract class
private list | listFunctionsImpl ()
| returns a list of string function names in the database More...
list | listMaterializedViews ()
| returns a list of string materialized view names in the database
private list | listProceduresImpl ()
| since PostgreSQL only supports functions, this method is identical to listFunctionsImpl() More...
private list | listTablesImpl ()
| returns a list of string table names in the database
list | listTypes ()
| returns a list of string type names in the database
ListIterator | materializedViewIterator ()
| returns an iterator listing the string materialized view names in the database
private bool | rebuildIndexImpl (string name, *hash options)
| rebuild index implementation. See SqlUtil::AbstractDatabase::rebuildIndex()
private | reclaimSpaceImpl (*hash options)
| reclaim space implementation. See SqlUtil::AbstractDatabase::reclaimSpace()
private bool | supportsPackagesImpl ()
| returns True if the database supports packages
private bool | supportsSequencesImpl ()
| returns True if the database supports sequences
private bool | supportsTypesImpl ()
| returns True if the database supports named types
private any | tryExecArgsImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
private any | tryExecRawImpl (string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
ListIterator | typeIterator ()
| returns an iterator listing the string type names in the database

## Static Public Member Functions

static string | getCreateSql (list l)
| returns a string that can be used to create the schema in the database
static any | tryExecArgs (AbstractDatasource ds, string sql, *softlist args)
| tries to execute a command so that if an error occurs the current transaction status is not lost
static any | tryExecRaw (AbstractDatasource ds, string sql)
| tries to execute a command so that if an error occurs the current transaction status is not lost

## Public Attributes

const | PgsqlReclaimSpaceOptions
| Options for reclaimSpace()
const | PgsqlSchemaDescriptionOptions
| PostgreSQL-specific schema description keys.

## Detailed Description

provides the PostgreSQL-specific implementation of the AbstractDatabase interface

## Member Function Documentation

private list PgsqlSqlUtil::PgsqlDatabase::listFunctionsImpl | ( |  | ) |

returns a list of string function names in the database

The function names will include arguments in parentheses after the names

Returns
  a list of string function names in the database

private list PgsqlSqlUtil::PgsqlDatabase::listProceduresImpl | ( |  | ) |

since PostgreSQL only supports functions, this method is identical to listFunctionsImpl()

See also
  listFunctionsImpl()